# Substrate CSS

A CSS/Sass toolkit designed to provide a robust, consistent foundation for your design system and web apps, and otherwise get out of your way and not be noticable.


## Goals

* Easy to override and customize - your application styles have access to the same underlying tools used to build Substrate.
* Modular - include only the bits and pieces you actually need.
* Framework agnostic - works with any backend and CSS methodology.
* As little style as possible - the look and feel of your web app is entirely up to you.


## Philosophy

Substrate defines a bunch of components and patterns that can be reused across projects. Focus is on layout and usability, styling is up to the actual application.

Nothing of Substrate should be exposed publicly in your markup or your styles, it's an implementation detail of your styles.


## Credits

This repository includes and builds on the great works of others, standing on the shoulders of giants:

* [Basscss](http://basscss.com/) by [Brent Jackson and Basscss contributors](https://github.com/basscss) licensed under [The MIT License (MIT)](https://github.com/basscss/basscss/blob/master/LICENSE.md)
* [normalize.css](https://necolas.github.io/normalize.css/) by [https://github.com/necolas](necolas) licensed under [The MIT License (MIT)](https://github.com/necolas/normalize.css/blob/master/LICENSE.md)
* [system-font-css](https://github.com/jonathantneal/system-font-css) by [jonathantneal](https://github.com/jonathantneal) licensed under [CC0 1.0 Universal License](https://github.com/jonathantneal/system-font-css/blob/gh-pages/LICENSE.md)
